import request from '@/utils/request'

// 查询延期票附属对象列表
export function listOther(query) {
  return request({
    url: '/ehs/other/list',
    method: 'get',
    params: query
  })
}

// 查询延期票附属对象详细
export function getOther(id) {
  return request({
    url: '/ehs/other/' + id,
    method: 'get'
  })
}

// 新增延期票附属对象
export function addOther(data) {
  return request({
    url: '/ehs/other',
    method: 'post',
    data: data
  })
}

// 修改延期票附属对象
export function updateOther(data) {
  return request({
    url: '/ehs/other',
    method: 'put',
    data: data
  })
}

// 删除延期票附属对象
export function delOther(id) {
  return request({
    url: '/ehs/other/' + id,
    method: 'delete'
  })
}

// 导出延期票附属对象
export function exportOther(query) {
  return request({
    url: '/ehs/other/export',
    method: 'get',
    params: query
  })
}
